--
-- Plik wygenerowany przez SQLiteStudio v3.0.7 dnia wt. maj 24 11:49:01 2016
--
-- Użyte kodowanie tekstu: UTF-8
--
PRAGMA foreign_keys = off;
BEGIN TRANSACTION;

-- Tabela: event
CREATE TABLE event (id INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE NOT NULL, dev_id INTEGER REFERENCES types ON DELETE SET NULL NOT NULL, descr TEXT, priority INTEGER REFERENCES event_priority (value), stempel INTEGER NOT NULL, value INTEGER, zatwierdzony BOOLEAN DEFAULT (0));

-- Tabela: types
-- DROP TABLE IF EXISTS types;
CREATE TABLE types (value INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL UNIQUE, name TEXT NOT NULL UNIQUE);
INSERT INTO types (value, name) VALUES (1, 'KABE_TYP_MASTER');
INSERT INTO types (value, name) VALUES (2, 'KABE_TYP_ZASILACZ');
INSERT INTO types (value, name) VALUES (3, 'KABE_TYP_MODUL_SYGNAL');
INSERT INTO types (value, name) VALUES (4, 'KABE_TYP_REPEATER');
INSERT INTO types (value, name) VALUES (5, 'KABE_TYP_CZUJNIK_PALIWA');
INSERT INTO types (value, name) VALUES (6, 'KABE_TYP_HELIKOPTER');
INSERT INTO types (value, name) VALUES (7, 'KABE_TYP_ZAS_HELI_V1');
INSERT INTO types (value, name) VALUES (8, 'KABE_TYP_ZAS_KBPK_01');
INSERT INTO types (value, name) VALUES (9, 'KABE_TYP_ZAS_KBZB_36');
INSERT INTO types (value, name) VALUES (10, 'KABE_TYP_ZAS_KBZB_33');
INSERT INTO types (value, name) VALUES (11, 'KABE_TYP_ZAS_KBZB_35');
INSERT INTO types (value, name) VALUES (12, 'KABE_TYP_ZAS_KBZB_38');
INSERT INTO types (value, name) VALUES (13, 'KABE_TYP_PKKB_IFACE');

-- Tabela: device
-- DROP TABLE IF EXISTS device;
CREATE TABLE device (id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL UNIQUE, parent INTEGER NOT NULL, pkkbAdres INTEGER NOT NULL, type INTEGER REFERENCES types (value) ON DELETE SET NULL NOT NULL, configString TEXT, active BOOLEAN NOT NULL);

-- Tabela: config
-- DROP TABLE IF EXISTS config;
CREATE TABLE config (version TEXT, installDate INTEGER, Customer TEXT, Place TEXT, adminUserName TEXT, adminPassword TEXT);
INSERT INTO config (version, installDate, Customer, Place, adminUserName, adminPassword) VALUES ('1.0', 0, 'Puste', 'Puste', 'admin', '1111');
-- Tabela: config

-- Tabela: mapOfStrings
-- DROP TABLE IF EXISTS mapOfStrings;
CREATE TABLE mapOfStrings (id INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE NOT NULL, value TEXT, deviceID INTEGER REFERENCES types ON DELETE CASCADE NOT NULL, indexNr INTEGER NOT NULL, stempel INTEGER NOT NULL);

-- Tabela: event_priority
DROP TABLE IF EXISTS event_priority;
CREATE TABLE event_priority (value INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE NOT NULL, descr TEXT UNIQUE NOT NULL);
INSERT INTO event_priority (value, descr) VALUES (0, 'Informacja');
INSERT INTO event_priority (value, descr) VALUES (1, 'Ważna informacja');
INSERT INTO event_priority (value, descr) VALUES (2, 'Usterka');
INSERT INTO event_priority (value, descr) VALUES (4, 'Awaria');
INSERT INTO event_priority (value, descr) VALUES (8, 'Awaria krytyczna');

-- Tabela: mapOfIndex
-- DROP TABLE IF EXISTS mapOfIndex;
CREATE TABLE mapOfIndex (id INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE NOT NULL, deviceId INTEGER REFERENCES types NOT NULL, vals BLOB (255), stempel DATE NOT NULL DEFAULT (CURRENT_TIMESTAMP));

COMMIT TRANSACTION;
PRAGMA foreign_keys = on;


